#
# This script spawns my .bashrc according to my dev needs
#

BASHRC=".bashrc"

INTERACTIVE="
# If not running interactively, don't do anything
[[ \$- != *i* ]] && return
"

COLORCODING="
# Make colorcoding available for everyone

Black='\e[0;30m'        # Black
Red='\e[0;31m'          # Red
Green='\e[0;32m'        # Green
Yellow='\e[0;33m'       # Yellow
Blue='\e[0;34m'         # Blue
Purple='\e[0;35m'       # Purple
Cyan='\e[0;36m'         # Cyan
White='\e[0;37m'        # White

# Bold
BBlack='\e[1;30m'       # Black
BRed='\e[1;31m'         # Red
BGreen='\e[1;32m'       # Green
BYellow='\e[1;33m'      # Yellow
BBlue='\e[1;34m'        # Blue
BPurple='\e[1;35m'      # Purple
BCyan='\e[1;36m'        # Cyan
BWhite='\e[1;37m'       # White

# Background
On_Black='\e[40m'       # Black
On_Red='\e[41m'         # Red
On_Green='\e[42m'       # Green
On_Yellow='\e[43m'      # Yellow
On_Blue='\e[44m'        # Blue
On_Purple='\e[45m'      # Purple
On_Cyan='\e[46m'        # Cyan
On_White='\e[47m'       # White

NC=\"\e[m\"               # Color Reset

# new alert text
ALERT=${BWhite}${On_Red} # Bold White on red background
"

ALIASES="
<<<<<<< HEAD
# Mostly used aliases
alias ..=\"cd ..\"
alias cd..=\"cd ..\"
alias ls=\"ls -CF --color=auto\"
alias myip=\"curl http://ipecho.net/plain; echo\"
=======
alias ..='cd ..'
alias cd..='cd ..'
alias ls='ls -CF --color=auto'
alias ll='ls -lisa --color=auto'
alias lsl='ls -lhFA | less'
alias free='free -mth'
alias ps='ps auxf'
alias psgrep='ps aux | grep -v grep | grep -i -e VSZ -e'
alias histg='history | grep'
alias myip='curl http://ipecho.net/plain; echo'
alias logs=\"find /var/log -type f -exec file {} \; | grep 'text' | cut -d' ' -f1 | sed -e's/:$//g' | grep -v '[0-9]$' | xargs tail -f\"
alias cdo='cd -'
>>>>>>> 2c6abfc47c0fba7334c835c403b15a21c399b564
"

# Avoid running these commands as super user
[[ $EUID -eq 0 ]] && echo "This script is not for sudos." && exit 1

if [ "$HOME" != "$PWD" ];
then
        cd $HOME
fi

echo "Bash config: $- ."
echo "Entering $HOME directory..."
echo "Interactive?$INTERACTIVE"
echo "Color coding?$COLORCODING"
echo "Aliases?$ALIASES"
